<?php
define('SD_ROOT', dirname(__FILE__).'/');
@header("Expires: 0");
@header("Cache-Control: private, post-check=0, pre-check=0, max-age=0", FALSE);
@header("Pragma: no-cache");
include "../../include/config.php";
$type = isset($_GET['type'])?trim($_GET['type']):'small';
$pic_id = trim($_GET['photoId']);
$orgin_pic_path = $_GET['photoServer']; //原始图片地址，备用.
$from = $_GET['from']; //来自上传/摄像头，备用.
//$uidarr=explode("\t",$_COOKIE["auth_KingCMS"]);
$S_Name=$_COOKIE["s_name"];
$userid = $S_Name;
if($userid){
//生成图片存放路径，可以是相对路径，也可以是绝对路径，但一定有相应的文件夹，type有big和small两种。
$new_avatar_path = '../../upload/userlogo/'.$type.'/'.$pic_id.'.jpg';
$new_avatar_pathu = '../images/userlogo/'.$pic_id.'.jpg';
$len = file_put_contents(SD_ROOT.'./'.$new_avatar_path,file_get_contents("php://input"));
$lene = file_put_contents(SD_ROOT.'./'.$new_avatar_pathu,file_get_contents("php://input"));
//删除原始图片
$filename = '../../upload/userlogo/origin/'.$pic_id.'.jpg';
$fileurl=$filename;
$fileurl="../".substr($fileurl,strlen(S_SitePath));
if(file_exists($fileurl)){
unlink($fileurl);
}
//压缩图片.如不需要可去除这两行代码。建议压缩，以节省空间占用。
$avtar_img = imagecreatefromjpeg(SD_ROOT.'./'.$new_avatar_path);
imagejpeg($avtar_img,SD_ROOT.'./'.$new_avatar_path,80);
//写数据库，这里只向数据库写入大图像
if($type == "big") {
$host = S_Sqlservername;//数据库地址
$user = S_Sqluserid;//数据库账户名
$pass = S_Sqlpwd;//数据库登录密码
$db = S_Sqldbname;//数据库名称
$conn=mysql_connect($host,$user,$pass);
mysql_select_db($db,$conn);
mysql_query("SET NAMES 'gbk'");
$sql="select * from s_users where s_name='".$userid."'";//选择数据表以及行id
$query=mysql_query($sql);
$rs=mysql_fetch_array($query);
$userhead= '/'.$pic_id.'.jpg';//如需调用大小头像，这里写成'/'.$pic_id.'.jpg'，调用时自行设置路径即可。
$sql="update s_users set s_logo='$userhead' where s_name='".$userid."'";//更新数据
mysql_query($sql);
}
//反馈信息, statusText是成功提示信息，status 为1 是成功上传，否则为失败.
$d = new pic_data();
$d->status = 1;
$d->statusText = '上传成功!';
}else{
$d->status = 0;
$d->statusText = '上传失败!';
}
$msg = json_encode($d);
echo $msg;

class pic_data
{
	 public $status;
	 public $statusText;
	public function __construct()
	{
		$this->data->urls = array();
	}
}
?>